--- /dev/null	Mon Aug  5 17:24:00 2019
+++ new/usr/src/test/smf-tests/tests/svccfg/import/import_003.ksh	Mon Aug  5 17:24:00 2019
@@ -0,0 +1,155 @@
+#! /usr/bin/ksh -p
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+###############################################################################
+# start __stf_assertion__
+#
+# ASSERTION: svccfg_import_003
+#
+# DESCRIPTION:
+#	Calling the "import file" subcommand where the file contains a
+#	service profile will result in a diagnostic message being sent
+#	to stderr and the command exiting with an exit status of 1.
+#
+# end __stf_assertion__
+###############################################################################
+
+
+# First STF library
+. ${STF_TOOLS}/include/stf.kshlib
+
+# Load GL library
+. ${STF_SUITE}/include/gltest.kshlib
+
+# Load svc.startd library for manifest_generate
+. ${STF_SUITE}/include/svc.startd_config.kshlib
+
+readonly ME=$(whence -p ${0})
+readonly MYLOC=$(dirname ${ME})
+
+assertion=svccfg_import_003
+
+# extract and print assertion information from this source script.
+extract_assertion_info $ME
+
+# Initialize test result 
+typeset -i RESULT=$STF_PASS
+
+
+function cleanup {
+	
+
+	rm -f $OUTFILE $ERRFILE $profile_file
+
+	exit $RESULT
+}
+
+trap cleanup 0 1 2 15
+
+# make sure that the environment is sane - svc.configd  is up and running
+check_gl_env
+[[ $? -ne 0 ]] && {
+	echo "--DIAG: 
+	     	Invalid test environment - svc.configd  not available"
+
+        RESULT=$STF_UNRESOLVED
+	exit $RESULT
+}
+
+# Before starting make sure that the test service doesn't already exist.
+# If it does then consider it a fatal error.
+
+service_exists $TEST_SERVICE
+ret=$?
+[[ $ret -eq 0 ]] && {
+	echo "--DIAG: [${assertion}]
+	service $TEST_SERVICE should not exist in
+	repository but does"
+
+	RESULT=$(update_result $STF_UNRESOLVED $RESULT)
+	exit $RESULT
+}
+
+# Make sure that no instances of the test service are running.  This
+# is to ensure that the subsequent pgrep used to verify the assertion
+# does not falsely fail.
+#
+pgrep -z $(zonename) $(basename $SERVICE_APP) > /dev/null 2>&1
+ret=$?
+[[ $ret -eq 0 ]] && {
+       	echo "--DIAG: [${assertion}]
+	an instance of $(basename $SERVICE_APP) is running but should not be
+	to ensure correct validation of this test"
+
+	RESULT=$(update_result $STF_UNRESOLVED $RESULT)
+	exit $RESULT
+}
+
+
+# # Start assertion testing
+#
+
+readonly profile_template=$MYLOC/import_003_profile.xml
+readonly profile_file=/tmp/import_003_profile.xml
+
+
+manifest_generate $profile_template \
+	TEST_SERVICE=$TEST_SERVICE \
+	TEST_INSTANCE=$TEST_INSTANCE  | sed 's/ENABLE_VALUE/true/' >$profile_file
+
+
+svccfg import $profile_file > $OUTFILE 2>$ERRFILE
+ret=$?
+[[ $ret -ne 1 ]] &&  {
+	echo "--DIAG: [${assertion}]
+	svccfg import expected to return 1, got $ret"
+
+	RESULT=$STF_FAIL
+}
+
+
+# Verify that nothing in stdout - this is a non-fatal error
+[[ -s $OUTFILE ]] &&  {
+	echo "--DIAG: [${assertion}]
+	stdout not expected, but got $(cat $OUTFILE)"
+
+	RESULT=$STF_FAIL
+}
+
+
+# Verify that a message is sent to stderr
+if ! egrep -s "$NOT_MANIFEST_ERRMSG" $ERRFILE
+then
+	echo "--DIAG: [${assertion}]
+	Expected error message \"$NOT_MANIFEST_ERRMSG\"
+	but got \"$(cat $ERRFILE)\""
+
+	TEST_RESULT=$STF_FAIL
+fi
+
+
+exit $RESULT
